Subject: Re: [PATCH pata-2.6] sl82c105: rework PIO support (take 2)

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Wed, 4 Apr 2007 21:33:26 +0200

On Wednesday 28 March 2007, Sergei Shtylyov wrote:
> Hello, I wrote:
> 
> > Index: linux-2.6/include/linux/ide.h
> > ===================================================================
> > --- linux-2.6.orig/include/linux/ide.h
> > +++ linux-2.6/include/linux/ide.h
> > @@ -613,7 +613,6 @@ typedef struct ide_drive_s {
> >  
> >          u8	quirk_list;	/* considered quirky, set for a specific host */
> >          u8	init_speed;	/* transfer rate set at boot */
> > -        u8	pio_speed;      /* unused by core, used by some drivers for fallback from DMA */
> >          u8	current_speed;	/* current transfer rate set */
> >          u8	dn;		/* now wide spread use */
> >          u8	wcache;		/* status of write cache */
> 
>     Oops, forgot to pull the recent kernel before sending out, so this part 
> won't apply bacause of the desired_speed nuisance. Do I need to resend?

I was mentally prepared to fix it manually to save time on both sides but...

Hunk #1 succeeded at 613 with fuzz 2.

;)